Variable: espnNbaSummary
constespnNbaSummary:SectionedWrapper<ParsedTables, { },EspnSummaryParams>
Defined in: src/generated/espn/nba.ts:3360
NBA — summary (ESPN site.api.espn.com).
Endpoint: GET https://site.api.espn.com/apis/site/v2/sports/basketball/nba/summary
Param
params.event_id
number | string — the ESPN event (game) id.
Param
params.parsed
boolean — when true, route the payload through this endpoint's tidy.js parser and return rows instead of raw JSON.
Param
params.section
string — (with parsed: true) return just one named sub-frame (e.g. boxscore, plays, winprobability) instead of the object of all summary sub-frames.
Returns
Promise<ParsedTables> with { parsed: true } (an object of sub-frames, or the chosen section's Row[]); the raw ESPN payload (unknown) otherwise.
Example
await sdv.nba.espnNbaSummary({});
See
https://js.sportsdataverse.org/docs/nba/reference/site#espnnbasummary